#
# spec file for package openstack-octavia
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define component octavia
%define groupname %{component}
%define username %{component}

%define version_unconverted 3.0.2.dev12

Name:           openstack-%{component}
Version:        3.0.2~dev12
Release:        376.1
Summary:        OpenStack load balancer (Octavia)
License:        Apache-2.0
Group:          System/Management
Url:            http://launchpad.net/%{component}/
Source0:        http://tarballs.openstack.org/%{component}/%{component}-stable-rocky.tar.gz
Source1:        openstack-octavia-amphora-agent.service
Source2:        openstack-octavia-api.service
Source3:        openstack-octavia-health-manager.service
Source4:        openstack-octavia-housekeeping.service
Source5:        openstack-octavia-worker.service
Source6:        openstack-%{component}.logrotate
Source7:        openstack-%{component}.conf
Source8:        README.config
Source9:        ifup.ns
Source10:       ifup-route
Source11:       dhclient-script.ns
# PATCH-FEATURE-UPSTREAM 0001-Update-osutil-support-for-SUSE-distro.patch -- https://review.openstack.org/#/c/498909/
Patch0:         0001-Update-osutil-support-for-SUSE-distro.patch
BuildRequires:  crudini
BuildRequires:  fdupes
BuildRequires:  openstack-suse-macros
BuildRequires:  python-base
BuildRequires:  python-oslosphinx
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
BuildRequires:  systemd
BuildRequires:  systemd-rpm-macros
BuildRequires:  tree
%{?systemd_requires}
Requires(pre):  pwdutils
Requires:       logrotate
Requires:       python-%{component} = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Octavia is an scalable load balancer for OpenStack.


%package -n python-%{component}
Summary:        OpenStack load balancer (Octavia) - Python module
Group:          Development/Languages/Python
Requires:       python-Babel >= 2.3.4
Requires:       python-Flask >= 0.10
Requires:       python-Jinja2 >= 2.10
Requires:       python-SQLAlchemy >= 1.0.10
Requires:       python-WSME >= 0.8.0
Requires:       python-WebOb >= 1.7.1
Requires:       python-alembic >= 0.8.10
Requires:       python-barbicanclient >= 4.5.2
Requires:       python-castellan >= 0.16.0
Requires:       python-cotyledon >= 1.3.0
Requires:       python-cryptography >= 2.1
Requires:       python-distro >= 1.2.0
Requires:       python-futures >= 3.0.0
Requires:       python-futurist >= 1.2.0
Requires:       python-glanceclient >= 2.8.0
Requires:       python-glanceclient >= 2.8.0
Requires:       python-ipaddress >= 1.0.17
Requires:       python-keystoneauth1 >= 3.4.0
Requires:       python-keystonemiddleware >= 4.17.0
Requires:       python-netifaces >= 0.10.4
Requires:       python-neutronclient >= 6.7.0
Requires:       python-neutronclient >= 6.7.0
Requires:       python-novaclient >= 9.1.0
Requires:       python-oslo.config >= 5.2.0
Requires:       python-oslo.context >= 2.19.2
Requires:       python-oslo.db >= 4.27.0
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.log >= 3.36.0
Requires:       python-oslo.messaging >= 5.29.0
Requires:       python2-oslo.middleware
Requires:       python-oslo.policy >= 1.30.0
Requires:       python-oslo.reports >= 1.18.0
Requires:       python-oslo.serialization >= 2.18.0
Requires:       python-oslo.utils >= 3.33.0
Requires:       python-pbr >= 2.0.0
Requires:       python-pecan >= 1.0.0
Requires:       python-pyOpenSSL >= 17.1.0
Requires:       python-pyasn1 >= 0.1.8
Requires:       python-pyasn1-modules >= 0.0.6
Requires:       python-requests >= 2.14.2
Requires:       python-rfc3986 >= 0.3.1
Requires:       python-six >= 1.10.0
Requires:       python-stevedore >= 1.20.0
Requires:       python-taskflow >= 2.16.0
Requires:       python-tenacity >= 4.9.0

%description -n python-%{component}
Octavia is an scalable load balancer for OpenStack.

This package contains the Octavia Python library.


%package test
Summary:        OpenStack load balancer (Octavia) - Testsuite
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       python-WebTest >= 2.0
Requires:       python-mock >= 2.0.0
Requires:       python-oslotest >= 3.2.0
Requires:       python-pyroute2 >= 0.4.21
Requires:       python-python-subunit >= 1.0.0
Requires:       python-reno >= 2.5.0
Requires:       python-requests-mock >= 1.2.0
Requires:       python-testrepository >= 0.0.18
Requires:       python-testresources >= 2.0.0
Requires:       python-testtools >= 2.2.0

%description test
Octavia is an scalable load balancer for OpenStack.

This package contains OpenStack Octavia Testsuite.


%package api
Summary:        OpenStack load balancer (Octavia) - API
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description api
Octavia is an scalable load balancer for OpenStack.

This package contains OpenStack Octavia API service.


%package worker
Summary:        OpenStack load balancer (Octavia) - worker
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description worker
Octavia is an scalable load balancer for OpenStack.

This package contains OpenStack Octavia worker service.


%package health-manager
Summary:        OpenStack load balancer (Octavia) - health-manager
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description health-manager
Octavia is an scalable load balancer for OpenStack.

This package contains OpenStack Octavia health-manager service.


%package housekeeping
Summary:        OpenStack load balancer (Octavia) - housekeeping
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description housekeeping
Octavia is an scalable load balancer for OpenStack.

This package contains OpenStack Octavia housekeeping service.


%package amphora-agent
Summary:        OpenStack load balancer (Octavia) - amphora-agent
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       python-Flask >= 0.10
Requires:       python-cryptography >= 2.1
Requires:       python-gunicorn >= 19.0.0
Requires:       python-ipaddress >= 1.0.17
Requires:       python-netifaces >= 0.10.4
Requires:       python-pyroute2 >= 0.4.21

%description amphora-agent
Octavia is an scalable load balancer for OpenStack.

This package contains OpenStack Octavia amphora-agent service.

%package network-namespace-scripts
Summary:        OpenStack load balancer (Octavia) - network-namespace-scripts
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description network-namespace-scripts
Octavia is an scalable load balancer for OpenStack.

This package contains OpenStack Octavia network-namespace-scripts.


%prep
%setup -q -n %{component}-%{version_unconverted}
%openstack_cleanup_prep
%patch0 -p1

# NOTE(aplanas) Instead of generating the new SOURCES.txt, we add the
# new files from the templates into the file. Please, drop this once
# the patch is merged upstream
templates=octavia/amphorae/backends/agent/api_server/templates
# NOTE(Swami) Add this line below so that the SOURCES.txt
# file is formatted properly and the suse_plug_port_ethX.conf.j2
# is added
echo $ >> octavia.egg-info/SOURCES.txt
echo $templates/suse_plug_port_ethX.conf.j2 >> octavia.egg-info/SOURCES.txt
echo $templates/suse_plug_vip_ethX.conf.j2 >> octavia.egg-info/SOURCES.txt
echo $templates/suse_route_ethX.conf.j2 >> octavia.egg-info/SOURCES.txt

%build
python setup.py build

%install
python setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot}

### directories
install -d -m 750 %{buildroot}%{_localstatedir}/{lib,log}/%{component}
install -d -m 750 %{buildroot}%{_localstatedir}/cache/%{component}
install -d -m 700 %{buildroot}%{_localstatedir}/run/%{component}
install -D -m 644 %{SOURCE7} %{buildroot}/%_tmpfilesdir/%name.conf
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}
install -d -m 755 %{buildroot}%{_sysconfdir}/%{component}/%{component}.conf.d/

### README.config
cp %{SOURCE8} %{buildroot}%{_sysconfdir}/%{component}/

### config files
install -p -D -m 644 etc/%{component}.conf %{buildroot}/%{_sysconfdir}/%{component}/%{component}.conf
rm -rf %{buildroot}/usr/etc/%{component}/%{component}.conf

### systemd services
mkdir -p %{buildroot}%{_sbindir} %{buildroot}%{_unitdir}
install -m 444 %{SOURCE1} %{buildroot}%{_unitdir}/openstack-octavia-amphora-agent.service
install -m 444 %{SOURCE2} %{buildroot}%{_unitdir}/openstack-octavia-api.service
install -m 444 %{SOURCE3} %{buildroot}%{_unitdir}/openstack-octavia-health-manager.service
install -m 444 %{SOURCE4} %{buildroot}%{_unitdir}/openstack-octavia-housekeeping.service
install -m 444 %{SOURCE5} %{buildroot}%{_unitdir}/openstack-octavia-worker.service

for i in api worker health-manager housekeeping amphora-agent; do
    ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}-$i
done

### Install Network scripts
# Copy ifup.ns to the /usr/sbin
install -m 755 %{SOURCE9} %{buildroot}%{_sbindir}
# Link ifup.ns as ifdown.ns
ln -sr %{buildroot}%{_sbindir}/ifup.ns %{buildroot}%{_sbindir}/ifdown.ns
# Copy ifup-route to /usr/sbin
install -m 755 %{SOURCE10} %{buildroot}%{_sbindir}
# Link ifup-route as ifdown-route
ln -sr %{buildroot}%{_sbindir}/ifup-route %{buildroot}%{_sbindir}/ifdown-route
# Copy dhclient-script.ns to /usr/sbin
install -m 755 %{SOURCE11} %{buildroot}%{_sbindir}

# bash-completion/logrotate/etc.
install -p -D -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

install -m 755 \
            %{buildroot}%{_datadir}/octavia/diskimage-create/diskimage-create.sh \
            %{buildroot}%{_bindir}
rm -rf %{buildroot}%{_datadir}/octavia

### test subpackage
%openstack_test_package_install
%fdupes %{buildroot}%{_localstatedir}/lib/%{name}-test

### misc
%fdupes %{buildroot}%{python_sitelib}/%{component}

### set default configuration (mostly applies to package-only setups and quickstart, i.e. not generally crowbar)
%define octavia_conf %{buildroot}%{_sysconfdir}/%{component}/%{component}.conf.d/010-%{component}.conf
crudini --set %{octavia_conf} DEFAULT log_dir /var/log/octavia
crudini --set %{octavia_conf} DEFAULT state_path /var/lib/octavia

%pre
%openstack_pre_user_group_create %{username} %{groupname}

%post
%tmpfiles_create %{_tmpfilesdir}/%{name}.conf

%pre api
%service_add_pre %{name}-api.service

%post api
%service_add_post %{name}-api.service

%preun api
%stop_on_removal %{name}-api.service
%service_del_preun %{name}-api.service

%postun api
%restart_on_update %{name}-api.service
%service_del_postun %{name}-api.service

%pre worker
%service_add_pre %{name}-worker.service

%post worker
%service_add_post %{name}-worker.service

%preun worker
%stop_on_removal %{name}-worker.service
%service_del_preun %{name}-worker.service

%postun worker
%service_del_postun %{name}-worker.service

%pre health-manager
%service_add_pre %{name}-health-manager.service

%post health-manager
%service_add_post %{name}-health-manager.service

%preun health-manager
%stop_on_removal %{name}-health-manager.service
%service_del_preun %{name}-health-manager.service

%postun health-manager
%service_del_postun %{name}-health-manager.service

%pre housekeeping
%service_add_pre %{name}-housekeeping.service

%post housekeeping
%service_add_post %{name}-housekeeping.service

%preun housekeeping
%stop_on_removal %{name}-housekeeping.service
%service_del_preun %{name}-housekeeping.service

%postun housekeeping
%service_del_postun %{name}-housekeeping.service

%pre amphora-agent
%service_add_pre %{name}-amphora-agent.service

%post amphora-agent
%service_add_post %{name}-amphora-agent.service

%preun amphora-agent
%stop_on_removal %{name}-amphora-agent.service
%service_del_preun %{name}-amphora-agent.service

%postun amphora-agent
%service_del_postun %{name}-amphora-agent.service

%files
%defattr(-,root,root)
%doc README.rst
%license LICENSE
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/lib/%{component}
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/cache/%{component}
%dir %attr(0750, %{username}, %{groupname}) %{_localstatedir}/log/%{component}
%{_tmpfilesdir}/%name.conf
%dir %{_sysconfdir}/%{component}
%dir %{_sysconfdir}/%{component}/%{component}.conf.d/
%{_sysconfdir}/%{component}/README.config
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/%{component}.conf
%config(noreplace) %attr(0640, root, %{groupname}) %{_sysconfdir}/%{component}/%{component}.conf.d/010-%{component}.conf

%{_bindir}/diskimage-create.sh
%{_bindir}/%{component}-db-manage
%{_bindir}/haproxy-vrrp-check

%files -n python-%{component}
%defattr(-,root,root,-)
%license LICENSE
%{python_sitelib}/%{component}/
%{python_sitelib}/%{component}-*.egg-info
%exclude %{python_sitelib}/%{component}/tests*

%files test
%defattr(-,root,root)
%{_localstatedir}/lib/%{name}-test/
%{python_sitelib}/%{component}/tests*

%files api
%defattr(-,root,root,-)
%license LICENSE
%{_unitdir}/%{name}-api.service
%{_sbindir}/rc%{name}-api
%{_bindir}/%{component}-api
%{_bindir}/%{component}-wsgi
%files worker
%defattr(-,root,root,-)
%license LICENSE
%{_unitdir}/%{name}-worker.service
%{_sbindir}/rc%{name}-worker
%{_bindir}/%{component}-worker

%files health-manager
%defattr(-,root,root,-)
%license LICENSE
%{_unitdir}/%{name}-health-manager.service
%{_sbindir}/rc%{name}-health-manager
%{_bindir}/%{component}-health-manager

%files housekeeping
%defattr(-,root,root,-)
%license LICENSE
%{_unitdir}/%{name}-housekeeping.service
%{_sbindir}/rc%{name}-housekeeping
%{_bindir}/%{component}-housekeeping

%files amphora-agent
%defattr(-,root,root,-)
%license LICENSE
%{_unitdir}/%{name}-amphora-agent.service
%{_sbindir}/rc%{name}-amphora-agent
%{_bindir}/amphora-agent

%files network-namespace-scripts
%defattr(-,root,root,-)
%license LICENSE
%{_sbindir}/ifup.ns
%{_sbindir}/ifdown.ns
%{_sbindir}/ifup-route
%{_sbindir}/ifdown-route
%{_sbindir}/dhclient-script.ns

%changelog
* Tue Mar 12 2019 sma@suse.com
- Incorporate the patch from
  https://review.openstack.org/#/c/541811/9.
* Wed Feb 20 2019 gyee@suse.com
- Incorporate the patches from Cloud 8 MU. Without these patches we
  will be running into same problems in bringing up networking in
  SLE12 SP4, as described in bsc#1089414 and bsc#1069046.
  * https://build.opensuse.org/request/show/596217 (bsc#1089414)
  * https://build.suse.de/request/show/154631 (bsc#1069046)
  * Make https://review.openstack.org/#/c/541811 applicable to
    stable/rocky
* Thu Feb  7 2019 dmueller@suse.com
- fix requires
* Tue Feb  5 2019 sma@suse.com
- Add the missing requirement python-distro (bsc#1123897)
* Fri Dec 14 2018 cloud-devel@suse.de
- Update to version octavia-3.0.2.dev12:
  * Stop Logging Amphora Cert
* Thu Dec 13 2018 cloud-devel@suse.de
- Update to version octavia-3.0.2.dev11:
  * Bring up secondary IPs on member networks
  * Fix IPv6 in Active/Standby topology
* Tue Dec  4 2018 cloud-devel@suse.de
- Update to version octavia-3.0.2.dev8:
  * Separate the thread pool for health and stats update
* Wed Nov 21 2018 cloud-devel@suse.de
- Update to version octavia-3.0.2.dev6:
  * Log the compute ID when nova fails
* Sat Nov 17 2018 cloud-devel@suse.de
- Update to version octavia-3.0.2.dev4:
  * Fix VIP plug failure if netns directory exists
  * Delete zombie amphorae when detected
* Tue Oct 23 2018 cloud-devel@suse.de
- Update to version octavia-3.0.2.dev1:
  * Ensure pool object contains the listener\_id if passed
  3.0.1
* Tue Oct  9 2018 jzerebecki@suse.com
- Branch from master for Rocky
- Update to version octavia-3.0.1~dev14
* Sat Oct  6 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev63:
  * HTTPS HMs need the same validation path as HTTP++
* Thu Oct  4 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev62:
  * HTTPS HMs need the same validation path as HTTP
* Wed Oct  3 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev60:
  * Support REDIRECT\_PREFIX action for L7Policy
* Tue Oct  2 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev58:
  * Fix an upgrade issue for CentOS 7 amphora
  * Separate the thread pool for health and stats update
* Sat Sep 29 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev55:
  * Pass through DIB\_LOCAL\_ELEMENTS from localrc
  * Fix the API list performance regression
  * Fix health manager performance regression
* Fri Sep 28 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev49:
  * Remove duplicate check gate jobs
* Sat Sep 22 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev48:
  * Updates README-Vagrant.md to use OSC commands
* Fri Sep 21 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev46:
  * Updates the operator docs with the new lb failover command
* Sat Sep 15 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev45:
  * Gate on octavia-dsvm-base based jobs and housekeeping
  * Make health checks resilient to DB outages
  * Validate member address for batch update members
  * Fix batch update members
  * Support DNF package manager in diskimage-create
  * Update amphora-agent to report UDP listener health
  * Set some amphora driver optimizations
  * Add the missing markup for the hyperlink title
* Sat Sep  8 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev31:
  * Disable KVM at limestone (again)
  * Raise minimum coverage to 90%%
* Fri Sep  7 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev27:
  * Use openstack-tox-cover template
  * Validate member address for lb graph creation
* Thu Sep  6 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev23:
  * Update zuul/projects.yaml
* Sat Sep  1 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev22:
  * Re-enable flow diagrams
* Fri Aug 31 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev21:
  * Fix passphrase None errors
* Sun Aug 26 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev20:
  * add python 3.6 unit test job
* Sat Aug 25 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev19:
  * switch documentation job to new PTI
  * Fix the amphora noop driver
  * import zuul job settings from project-config
* Thu Aug 23 2018 nicolas.bock@suse.com
- Fix linter warnings about license
* Thu Aug 23 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev14:
  * Temporarily remove octavia-v2-dsvm-scenario-ubuntu.bionic
* Wed Aug 22 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev12:
  * Remove user\_group option
* Mon Aug 20 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev11:
  * Disable KVM at OVH
* Sat Aug 18 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev10:
  * Fix compat with Python >= 3.6
  * Allow blocking IPs from member addresses
  * "Resolve" bandit issue with sha1 hashes
* Fri Aug 17 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev6:
  * Fix neutron "tenat\_id" compatibility
  * Fix Octavia for host host routes
  * Imported Translations from Zanata
* Fri Aug 10 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0rc2.dev1:
  * Update reno for stable/rocky
  3.0.0.0rc1
* Thu Aug  9 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b4.dev19:
  * Fix UDP release note for CentOS
  * [UDP] Fix failed member always in DRAIN status
  * Followup patch for UDP support
  * UDP for [3][5][6]
  * UDP for [2]
  * Clarify that the driver support library is interim
  * Delete amphora regardless of status
* Tue Aug  7 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b4.dev9:
  * Cleanup Octavia create VIP ports on LB delete
* Fri Aug  3 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b4.dev8:
  * UDP jinja template
* Thu Aug  2 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b4.dev6:
  * Fix the bionic gate to actually run Ubuntu bionic
  * Fix DIB\_REPOREF\_amphora\_agent not set on Git !=1.8.5
* Wed Aug  1 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b4.dev3:
  * Clarify IPv6 support for the lb-mgmt-net
* Sat Jul 28 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b4.dev2:
  3.0.0.0b3
  * Updates the amphora driver for new commit model
  * Automatically set Barbican ACLs
  * Add listener\_id to the pool provider object
  * Correct naming for quota resources
  * Add baseline object in the drivers update callbacks
  * Fix failover when multiple amphora have failed
  * Use openstack client command to replace nova client
  * Implement provider drivers - Driver Library
* Thu Jul 26 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev86:
  * Init provider drivers at app setup
  * Fixing Octavia generating json named file containing yaml
  * Temporarily disable flow diagraming
  * Correct the usage on listing neutron ports
  * Fix version discovery for the Octavia API
* Sat Jul 21 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev77:
  * Update pypi url to new url
  * Use object instead of object id in the drivers delete callbacks
  * Allow setting load balancer topology in Devstack
* Fri Jul 20 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev71:
  * Fixes unlimited listener connection limit
  * Translate expected package names to installed ones
  * Fix package version querying on non-dpkg distros
* Thu Jul 19 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev65:
  * Add lb\_id comment to amp haproxy listener config
  * Add a config to surpress amphora logging
  * Add the missing markup for the hyperlink title
* Mon Jul 16 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev59:
  * Add release note for HMAC python3 fix
* Thu Jul 12 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev58:
  * Improve resource quota response message
* Wed Jul 11 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev56:
  * [doc] Add the missing markup for the hyperlink title
  * Follow the new PTI for document build
  * Ignore a port not found when deleting an LB
  * Adding support for the octavia listener X-Forwarded-Proto header insertion
* Mon Jul  9 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev48:
  * [doc]Use openstack client commands to replace nova client
  * Add the missing markup for the hyperlink title
* Sat Jul  7 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev44:
  * Introduce ipvsadm to the amphora image
* Fri Jul  6 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev43:
  * Move from platform.linux\_distribution to distro.id
  * fix tox python3 overrides
  * Add exception handling for housekeeping service
* Thu Jul  5 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev37:
  * Enable oslo\_config mutable configurations
* Wed Jul  4 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev35:
  * Fix fields translation on filtering
* Tue Jul  3 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev33:
  * [amphora-agent] add local net to routing table 1
* Sat Jun 30 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev32:
  * Re-enable KVM
* Wed Jun 27 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev31:
  * Add upgrade guide
  * Exclude amphora instances already DELETED when failover loadbalancer
  * Fix configured haproxy restarts
  * Providers: propose changes to create pool API
  * Make octavia-grenade job voting
* Mon Jun 25 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev22:
  * Change tox.ini coverage to always generate html
  * Fix health manager to be spare amphora aware
* Sun Jun 24 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev18:
  * Add health monitor API validation
* Fri Jun 22 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev16:
  * Add error logging for amphora agent exceptions
* Thu Jun 21 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev15:
  * Align logging on oslo\_log
* Wed Jun 20 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev13:
  * Stop logging API not found as ERROR
* Tue Jun 19 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev11:
  * Exclude limestone from running with kvm
  * Add grenade support
* Fri Jun 15 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev9:
  * Improve the error logging for zombie amphora
* Thu Jun 14 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev7:
  * Allow using spaces for primary common name in SSL certificates
  * Amend the spelling error of a word
* Tue Jun 12 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev4:
  * When SG delete fails on vip deallocate, try harder
* Fri Jun  8 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b3.dev2:
  * Remove a duplicated key in unit test dict
  3.0.0.0b2
* Thu Jun  7 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev87:
  * Fix amp failover where failover already failed
  * Providers: propose changes to API
* Wed Jun  6 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev84:
  * Implement provider drivers - Cleanup
* Tue Jun  5 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev82:
  * Implement provider drivers - L7 Rules
  * Fix listener update race with default pool removal
  * Implement provider drivers - L7 Policy
  * Implement provider drivers - Health Monitor
  * Use HMAC.hexdigest to avoid non-ascii characters for package data
* Sat Jun  2 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev73:
  * Allow DB retries on controller\_worker creates
  * Octavia devstack plugin API mode
  * Update HAProxy version for Centos
* Fri Jun  1 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev68:
  * Fix requirements gate + add local tox profile
* Mon May 28 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev67:
  * Trivial: Update pypi url to new url
* Fri May 25 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev65:
  * Implement provider drivers - Members
* Thu May 24 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev63:
  * Add coverage.xml output for PTI compliance
  * Implement provider drivers - Pool
  * Implement provider drivers - Listener
  * Add release notes link to README
* Wed May 23 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev56:
  * Implement provider drivers - Load Balancer
  * Fix amphora failover API to work with spares
  * Mark LBs in failover PENDING\_UPDATE
  * Add config for disabling creation of PING type HMs
  * Fix releasenotes build in tox
  * Fix typo
  * Add tenant\_id back to objects for backwards compat
  * Replace port 35357 with 5000 for "auth\_url"
  * Add raw format support to image creator script
  * Allow fields filter on single object GETs
* Tue May 22 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev37:
  * Increase devstack neutron secgroups quota to 100
  * Let healthmanager process shutdown cleanly (again)
  * Create disabled members in haproxy
* Wed May 16 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev31:
  * Devstack plugin: Check for IPv6 support
* Tue May 15 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev29:
  * Fix sphinx-docs job for sphinx >1.7
* Sun May 13 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev28:
  * Slightly reorder member flows
  * Create noop provider driver and data model
* Fri May 11 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev24:
  * Use openstack client commands to replace neutron client
  * Healthmanager shouldn't update NO\_MONITOR members
  * Creates provider driver base class and exceptions
* Thu May 10 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev20:
  * Fix periodic job
  * Updates the docs with new admin tips
* Tue May  8 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev17:
  * Correct field filtering for member/l7rule/amphora
* Sat May  5 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev15:
  * Improve Health Manager error handling
* Sun Apr 29 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev14:
  * Remove PluggedVIPNotFound references
  * Fix lower-constraints to actually match our reqs
  * Health Monitor url\_path requires leading slash
* Fri Apr 27 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev9:
  * Pool PUT should validate name/description length
  * Correct flavor to flavor\_id in LB API
* Thu Apr 26 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev5:
  * Fix keepalived vrrp check script to be in PATH
  * Fix calls to "DELETED" items
* Wed Apr 25 2018 cloud-devel@suse.de
- Update to version octavia-3.0.0.0b2.dev1:
  * Add sos element to Red Hat family images
  3.0.0.0b1
* Thu Apr 19 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev118:
  * Adding Gophercloud to the SDKs list
  * Trivial: fix syntax error in command examples
* Wed Apr 18 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev115:
  * Add Octavia v2 tempest plugin jobs to Octavia
  * Switch to ubuntu-minimal for default amphora image
* Sat Apr 14 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev113:
  * Fix statistics update typo
  * Add debug timing logging to amphora health update
* Fri Apr 13 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev110:
  * Install client from pip if not in LIBS\_FROM\_GIT
* Thu Apr 12 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev108:
  * Add pool session persistence validation
  * Update auth\_uri option to www\_authenticate\_uri
  * Improve some log messages in health\_monitor.py
  * Add API alias for '/statuses'
  * Move o-hm0 dhcp config under /etc/dhcp
* Wed Apr 11 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev99:
  * Update introduction documention page
* Tue Apr 10 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev97:
  * Make keepalived initialization more predictable
  * Expose timeout options
  * Add a devstack variable for legacy RBAC
* Mon Apr  9 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev91:
  * Minor refactor of health\_sender.py
  * Defend against neutron error response missing keys
  * Fix revert method for batch member update
* Thu Apr  5 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev85:
  * Correctly validate member subnet\_id in batches
* Wed Apr  4 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev83:
  * Allow members to be set as "backup"
  * Update API-REF for x-forwarded-port is string
  * Add deadlock retry wrapper for inital quota create
* Mon Apr  2 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev78:
  * Fix a no-op network driver bug on plug\_port
* Sat Mar 31 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev76:
  * Set lower-constraint to run unit and functional
  * add lower-constraints job
* Thu Mar 29 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev73:
  * Fix logging level for keystone auth bypass
* Wed Mar 28 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev72:
  * Fixes the directory we copy the image to
  * Don't failover amphora with LB in PENDING\_\*
  * The MarkL7PolicyActiveInDB is not necessary when l7policy deleted
  * Fix health manager edge case with zombie amphora
  * Change used keystone token provider in devstack
  * fix a typo in documentation
  * Updated from global requirements
* Tue Mar 27 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev59:
  * Switch multinode tests to non-voting
* Sun Mar 25 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev57:
  * Rename python-openstacksdk to openstacksdk
* Wed Mar 21 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev56:
  * Periodic job to build + publish diskimage
* Tue Mar 20 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev54:
  * Updated from global requirements
* Sat Mar 17 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev53:
  * Updated from global requirements
  * Log output of subprocess check\_output() errors
  * Split up extra init steps and start processes
* Fri Mar 16 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev47:
  * Log health manager exceptions
  * Reduce runtime for l7rule too\_many\_rules test
  * Properly test access to tls\_refs in the API layer
  * Devstack plugin image build option quoting fix
* Thu Mar 15 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev39:
  * Updated from global requirements
  * Fix functional jobs
  * Change import order
  * Reduce stestr concurrency to 1 for tempest jobs
* Wed Mar 14 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev32:
  * Add license for empty \_\_init\_\_.py
* Tue Mar 13 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev31:
  * Rename q- to neutron- services
  * Move scenario-lxd over to experimental
  * Updated from global requirements
* Sat Mar 10 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev26:
  * Fix kvm-centos.7 gate
  * Updated from global requirements
* Fri Mar  9 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev22:
  * Migrate to stestr
* Sun Mar  4 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev21:
  * Imported Translations from Zanata
* Thu Mar  1 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev20:
  * Add image\_id to amphora table
* Wed Feb 28 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev18:
  * Add timestamps to amphora table
  * Update configuration samples (QoS)
* Tue Feb 27 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev14:
  * Fix network no-op driver get\_network\_configs
  * Overhaul HealthManager update threading
  * Do not install pip in amphora when using distribution packages
* Mon Feb 26 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev9:
  * Updated from global requirements
* Tue Feb 20 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev7:
  * Fix filtering by admin\_state\_up
* Fri Feb 16 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev6:
  * Fix load balancers using IPv6 for the VIP subnet
* Wed Feb 14 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev5:
  * Updates API for deleting "DELETED" objects
  * Fix missing test-requirement and cleanup docs
* Fri Feb  9 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0rc2.dev2:
  * Update reno for stable/queens
  2.0.0.0rc1
  * Enable hacking-extensions H204, H205
* Thu Feb  8 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b4.dev24:
  * Imported Translations from Zanata
  * Fix release notes job
  * Deallocate the VIP prior to deleting the amphorae
* Wed Feb  7 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b4.dev19:
  * Repalce Chinese quotes to English quotes
* Tue Feb  6 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b4.dev17:
  * Re-enable "Page Contents" and update user docs
* Mon Feb  5 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b4.dev16:
  * Fix session persistence update
* Sun Feb  4 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b4.dev14:
  * Update api-ref for uuid type and fix tox
  * Zuul: Remove project name
  * Update docs config for storyboard bugs
  * Handle missing security groups on listener delete
  * Add SDK list to octavia user docs
  * Don't run fucntional jobs for docs changes
  * Fix a typo of "octavia" in comment
* Thu Feb  1 2018 aplanas@suse.com
- Add patch 0001-Update-osutil-support-for-SUSE-distro.patch
  https://review.openstack.org/#/c/498909/
- Add network-namespace-scripts subpackage (bsc#1069046)
* Wed Jan 31 2018 aplanas@suse.com
- Execute amphora-agent as root
- Add --config-file parameter to amphora-agent service
* Tue Jan 30 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b4.dev2:
  2.0.0.0b3
  * Updated from global requirements
* Thu Jan 25 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b3.dev71:
  * Updated from global requirements
  * Allow setting full mandatory access control in amphora
  * Updates the Octavia cookbook to use OSC commands
* Wed Jan 24 2018 dmueller@suse.com
- make user directory not world readable
* Wed Jan 24 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b3.dev65:
  * Switch to using PKCS12 for TLS Term certs
  * Rework amphora agent installation element
  * Fix PING health monitor for old amphora
* Tue Jan 23 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b3.dev60:
  * Fix processing pool statuses for LBs with multiple listeners
  * Updated the function name with "get\_remove\_vip\_subflow" to fix the typo
* Wed Jan 17 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b3.dev56:
  * Healthmanager health\_check timer config fix
* Sun Jan 14 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b3.dev54:
  * Provider driver spec
* Sat Jan 13 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b3.dev52:
  * Add api-ref for amphora failover
* Fri Jan 12 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b3.dev50:
  * Add unit tests for neutron utils, add model/util for floating\_ip
  * Fix a typo in the test HTTP server
  * ignore api-ref/build directory
* Wed Jan 10 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b3.dev44:
  * Check if it is used when creating a load balancer using vip\_port\_id
  * Updated from global requirements
  * Amphora API Failover call
* Tue Jan  9 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b3.dev39:
  * TrivialFix: fix a typo in comment
  * Change how path munging works for sphinx docs
  * Use common functional tox jobs
  * Force SELinux context for amphora keepalived process
* Sat Jan  6 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b3.dev32:
  * Minimize the effect overloaded Health Manager processes
  * Add VIP qos into our cookbook
  * TrivialFix: remove redundant import alias
* Fri Jan  5 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b3.dev26:
  * Fix exception when querying for non-existing items
  * Producer/endpoint code to allow for amphora failovers
  * Support UDP load balancing
  * Improve user error messages for duplicate objects
* Tue Jan  2 2018 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b3.dev18:
  * Remove the redundant mock patches in tests
  * Update gitignore
* Fri Dec 22 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b3.dev14:
  * Remove reliance on NeutronException message field
* Thu Dec 21 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b3.dev13:
  * Extend api to accept qos\_policy\_id
* Wed Dec 20 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b3.dev12:
  * Updated from global requirements
  * Improve Neutron driver \_get\_resource()
* Wed Dec 13 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b3.dev9:
  * Move loading the network driver into the flows
* Tue Dec 12 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b3.dev7:
  * Reorder ComputeCreate arguments
  * Update compute noop driver/tests (many were disabled/useless)
* Sat Dec  9 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b3.dev3:
  * Have doc8 ignore autodoc content
  2.0.0.0b2
* Fri Dec  8 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev73:
  * Updated from global requirements
* Thu Dec  7 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev72:
  * ACTIVE-ACTIVE: Initial distributor driver
* Wed Dec  6 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev70:
  * Fix filtering in list API calls
  * Updated from global requirements
* Tue Dec  5 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev67:
  * Clean up test\_update\_db.py a little bit
  * Fix health monitor type "PING" to use icmp ping
* Sat Dec  2 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev63:
  * Optimize update\_health process
  * Fix the failover API to not fail with immutable LB
* Fri Dec  1 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev59:
  * Adds the user's project id to the VIP port creation
  * Updated from global requirements
  * Fix functional tests for MacOS
  * Split amphora haproxy systemd unit
  * Update devstack plugin and examples
  * Enable some off-by-default checks
* Tue Nov 28 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev48:
  * Rename 'remove' to 'reset' in Quota API
  * Handle race condition deleting security group rule
  * Make the allowed\_address\_pairs driver better
* Thu Nov 23 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev43:
  * Refine api-ref regarding loadbalancer creation
* Wed Nov 22 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev41:
  * Fix TaskFlow loader to honor engine configuration
* Tue Nov 21 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev39:
  * Remove setting of version/release from releasenotes
* Mon Nov 20 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev37:
  * Fix keepalived check script
* Sat Nov 18 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev35:
  * Updated from global requirements
* Fri Nov 17 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev33:
  * Fix extracting nova fault string on build error
* Thu Nov 16 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev31:
  * Updated from global requirements
  * Fix member operating status when add/remove HM
* Wed Nov 15 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev28:
  * Fix gate breakage: unit tests
* Mon Nov 13 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev27:
  * Updated from global requirements
* Fri Nov 10 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev23:
  * Fix possible DB deadlock scenario
  * Updated from global requirements
* Thu Nov  9 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev20:
  * Fix health\_manager to exit without waiting
  * Stop child objects changing status when LB locked
* Sat Nov  4 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev16:
  * Updated from global requirements
  * Fix body error of update loadbalancer
  * Add cached\_zone to the amphora record
  * Zuul: add file extension to playbook path
* Wed Nov  1 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev10:
  * Disable kvm on OVH infra instances
* Sat Oct 28 2017 cloud-devel@suse.de
- Update to version octavia-2.0.0.0b2.dev9:
  * Update Octavia zuulv3 for newton EOL
  2.0.0.0b1
* Fri Oct 27 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev99:
  * Make the event streamer transport URL configurable
  * Fix non-cascade LB delete with children
* Sat Oct 21 2017 aplanas@suse.com
- Add requirements for Amphora
- Fix agent amphora service to use the octavia log directory
* Sat Oct 21 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev96:
  * Update tests to do not use deprecated test.services()
* Fri Oct 20 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev94:
  * Move Octavia zuulv3 configuration in repo
  * Support pylint
* Thu Oct 19 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev90:
  * Change 14.04 to 16.04 in devstack setup guide
* Wed Oct 18 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev88:
  * Updated from global requirements
* Mon Oct 16 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev87:
  * Trivial change to adapt pylint rules
  * Valuable change reported by pylint
  * import \_ from octavia.i18n
  * Update cookbooks for transition to OSC
  * Adds automatic ERD generation for the Octavia DB
  * Add dependent packages to config reference
  * Force PCI bus rescan if interface is not found
  * Allow PUT to /pools/<id>/members to batch update members
* Tue Oct 10 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev71:
  * L7 policy API-REF update for result codes
* Sun Oct  8 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev70:
  * Correctly unlock amphora health on failover revert
* Sat Oct  7 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev68:
  * Remove SCREEN\_LOGDIR from devstack
  * Fix KeyError in failover error log
  * Updated from global requirements
* Fri Oct  6 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev62:
  * Add admin endpoint for amphora info
* Wed Sep 27 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev60:
  * Updated from global requirements
  * Shrink Tempest scenario manager copy
  * Update the documentation link for doc migration
* Tue Sep 26 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev55:
  * blueprint: l3-active-active
* Fri Sep 22 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev53:
  * Update links in CONTRIBUTING.rst
  * Ensure DIB\_REPOREF\_amphora\_agent is set
  * Use flake8-import-order plugin
  * add page\_reverse to GET API
  * Updated from global requirements
  * Fix inappropriate provisioning\_status of l7 policy
  * Make housekeeping build spares with an executor
  * Allow members to use the VIP address
  * [Trivialfix]Fix typos in octavia
* Sat Sep 16 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev36:
  * Updated from global requirements
  * Stop masking VIP allocate neutron errors
* Fri Sep 15 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev32:
  * fix “\_send\_member\_to\_handler” debug log Story: 2001194 task: 5696
  * Whitespace fixes and simplification of keepalived template
* Thu Sep 14 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev28:
  * Gatefix: Migrate from testr to stestr
* Sat Sep  9 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev27:
  * Adds the ability to failover a load balancer
* Fri Sep  8 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev25:
  * Add 'futures' to requirements, as we use it multiple places
* Wed Sep  6 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev24:
  * Updated from global requirements
* Mon Sep  4 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev23:
  * Updated from global requirements
* Fri Sep  1 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev22:
  * Update release notes theme to openstackdocs
  * Add ability to build amp image on SUSE
  * devstack: Allow 3rd party neutron backends deployment
  * Move doc-requirements to test-requirements
  * Fix some typos
* Fri Aug 25 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev14:
  * Add a CLI section to the Octavia docs
  * Updated from global requirements
* Sat Aug 19 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev11:
  * Updated from global requirements
  * Correct diskimage-create sshd removal bug
  * Fix octavia logging to be more friendly
* Thu Aug 17 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev6:
  * Add flag to disable SSHD on the amphora image
  * Fix health monitor DB locking
  * Fix a bad revert method and add hacking check
* Sat Aug 12 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0rc2.dev1:
  * Update reno for stable/pike
  1.0.0.0rc1
* Fri Aug 11 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b4.dev36:
  * Fix LB creation with VIP port
  * Update devstack readme.md
  * Properly store VIP data on LB Create
  * Fix DB update reverts for provisioning status
  * LB Admin down should show operating\_status OFFLINE
  * Ignore 404 amphora error when deleting resources
  * Correct status for disabled members (honest abe edition)
* Thu Aug 10 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b4.dev22:
  * Fix sg\_rule didn't set protocol field
  * Updated from global requirements
  * Update links in README
  * Remove usage of credentials\_factory.AdminManager
* Tue Aug  8 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b4.dev15:
  * Add allocate vip port when create loadbalancer in server side
  * Spec detailing Octavia service flavors support
* Mon Aug  7 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b4.dev12:
  * Remove WebTest from test requirements
  * Stop using deprecated CORS.set\_latent()
* Sat Aug  5 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b4.dev8:
  * Updated from global requirements
* Thu Aug  3 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b4.dev7:
  * Properly handle more states from HAProxy health messages
  * Barbicanclient is refactoring, this fixes one of our bad tests
  * Fix haproxy\_check\_script for delete listener
* Wed Aug  2 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b4.dev2:
  * Updated from global requirements
* Sat Jul 29 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b4.dev1:
  1.0.0.0b3
  * Fixing typo in controller/worker/tasks/database\_tasks.py
* Fri Jul 28 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev120:
  * Updated from global requirements
  * Updated from global requirements
  * Update release notes for work done in Pike
* Thu Jul 27 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev116:
  * Fix url\_path valid check
  * Allow special paths to not require keystone auth
  * diskimage-builder: Acceptable RHEL based Amphora disk size =< 3GB
  * Updated from global requirements
  * Fix invalid escape sequence in certs-ramfs.service
  * Failover should cause LB to be Immutable
* Fri Jul 21 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev105:
  * Remove key\_path from devstack plugin
* Wed Jul 19 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev103:
  * Option to enable provisioning status sync with neutron db
* Mon Jul 17 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev101:
  * Updated from global requirements
  * DIB: drop custom mirror elements
  * Install amphora agent from distribution package on RHEL
* Fri Jul 14 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev96:
  * Force get\_all to only make one DB call
* Tue Jul 11 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev95:
  * Add placement service to new-octavia-devstack.sh
* Sat Jul  8 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev93:
  * Updated from global requirements
  * Update some links to the new docs locations
* Fri Jul  7 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev89:
  * Remove unused client directory
  * Enable H904 check
  * Add statistics to V2 API
  * Add status tree to V2 API
  * Fix error 500 when using SOURCE\_IP and APP\_COOKIE
* Tue Jul  4 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev79:
  * Update Octavia docs for documentation migration
* Fri Jun 30 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev78:
  * Don't reload the policy for every API request
  * Update api-ref for openstackdocstheme 1.11
  * Update our docs to point to the new api-ref
  * Correct RBAC Not Authorized status code
  * Enable uwsgi support for octavia devstack
  * Event Streamer for StatsDb should respect config value
* Thu Jun 29 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev67:
  * Make developer debugging easier
  * Add v2 Quota API section
  * Fix nova secgroup-add-rule which is unavailable
  * Change default vagrant box to xenial64(16.04)
  * Add v2 L7 Rule API section
* Wed Jun 28 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev57:
  * Allow operators to disallow creation of TLS Termination listeners
  * DELETE operations don't actually return data (204)
  * Allow operators to disable v1 or v2.0 api endpoints
  * No need to do a shutdown(wait=True) when in a context-manager
  * Stop provider and flavor API stubs failing calls
* Tue Jun 27 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev47:
  * Add v2 L7 Policy API section
  * Replace the usage of 'admin\_manager' with 'os\_admin'
* Sat Jun 24 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev44:
  * Add filtering and field selection to API
  * Use 'get\_rpc\_transport' for RPC clients and servers
* Fri Jun 23 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev41:
  * Provide better ComputeBuildExcpetion messages
  * SSL Health Monitors didn't actually ... check very much
  * Refactor the RBAC auth enforcement a bit
  * Add RBAC enforcement to quotas v2 API
  * Add RBAC enforcement to l7rules v2 API
  * Add RBAC enforcement to L7 policies v2 API
  * Add RBAC enforcement to health monitors v2 API
  * Add RBAC enforcement to members v2 API
  * Add RBAC enforcement to pools v2 API
* Thu Jun 22 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev23:
  * HM Update for url\_path uses incorrect validation
  * Add RBAC enforcement to Octavia v2 API
  * Agent: swap flask responses to webob, handle 404 retries better
* Tue Jun 20 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev18:
  * Updated from global requirements
  * Allow operators to tune VIP creation parameters
  * Remove deprecated signing\_dir config setting
* Sat Jun 17 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev13:
  * Enable DIB trace logging
  * Small refactor for load\_balancer v2 vip validation
* Fri Jun 16 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev9:
  * Also remove amphora\_health entry during house\_keeping amps
  * Updated from global requirements
* Tue Jun 13 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev6:
  * Updated from global requirements
  * Fix an issue with failover on VIP net without DHCP
* Fri Jun  9 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b3.dev3:
  1.0.0.0b2
  * Handle log message interpolation by the logger
  * Add check O346 to disallow backslash line continuation
  * Remove deprecated oslo\_messaging.get\_transport
  * Minor code cleanup in l7policy controller
* Wed Jun  7 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b2.dev128:
  * Check keepalived health in the amphora
* Tue Jun  6 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b2.dev126:
  * Add v2 health monitor API section
  * Add v2 member API section
  * Replace deprecated oslo.messaging.get\_transport with get\_notification\_transport
  * Remove hardcoded amphorae namespace name
  * Updated from global requirements
  * Fix HM flows to set Pool back to active
  * Fix keepalived systemd race with haproxy namespace
  * VRRP amphora\_driver functions weren't handled by noop driver
  * Add v2 pool API section
* Sun Jun  4 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b2.dev109:
  * Updated from global requirements
* Fri Jun  2 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b2.dev108:
  * Pool name/desc needs to be "" when empty, not null
  * Optional L7Policies param was marked as required
  * Fix pool response to fill healthmonitor\_id properly
  * Remove lb\_network\_name from config (it was bogus)
  * Don't leave LBs in PENDING\_DELETE after refusing to cascade
* Thu Jun  1 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b2.dev98:
  * Devstack plugin should mark the HM ovs port for cleanup skip
  * Updated from global requirements
  * Remove \_LI, \_LW, \_LE, \_LC from i18n
* Wed May 31 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b2.dev93:
  * Update example config to have more correct keystone\_authtoken example
* Mon May 29 2017 tbechtold@suse.com
- Update to version octavia-1.0.0.0b2.dev91:
  * Updated from global requirements
  * Remove nova cert from devstack examples
  * Fix broken database migration
  * Replace assertRaisesRegexp with assertRaisesRegex
  * Remove invalid url link
  * CalculateAmphoraDelta networks based on vrrp\_port
  * Allow specifying empty amp\_boot\_network\_list
  * Additional logging in udp\_heartbeat and post\_plug\_vip
  * Reintroducing local certificate manager, as it is useful for testing
  * Two quick fixes (one log message, one cert create script thing)
  * Trivial fix typos in documents
  * Add cascade delete for APIv2
  * Add monitor address and port to pool member
  * Implement sorting and pagination for octavia
  * Add support for single-create for APIv2
  * Don't show deleted objects in v2 API
  * Noop network driver should provide a more hydrated network
  * Purge more tenant\_id references that I missed
  * Add some hacking checks borrowed from neutron
  * Remove log translations from octavia
  * project\_id should remain in the response for v2 objects
  * Updated from global requirements
  * Fix devstack plugin to stop octavia processes
  * Fix an failure if the vip network has no gateway
  * Shutdown a endpoint workers executor on termination
  * Fix a bug where ports may not be deleted
  * Change auth\_strategy default to keystone
  * Run Octavia API in a WSGI server
  * Set up octaviaclient as part of devstack
  * Add new PROXY protocol to lbaas pool
  * Fix set cookie\_name to None if not in PUT content
* Sun Apr 30 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b2.dev38:
  * Initial version of the operator guide
  * Add v2 listener API section
  * Fixes Octavia not working with Barbican
* Thu Apr 27 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b2.dev32:
  * Fixes unicode problems in p35
  * Fix the coverage HTML report
* Wed Apr 26 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b2.dev28:
  * Fixes mysterious gdbm error
  * Install DIB from source so depends-on will work
  * Add quotas to Octavia v2 API
* Tue Apr 25 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b2.dev23:
  * Correct some v2 Listener response entries
* Mon Apr 24 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b2.dev21:
  * Auto-detect haproxy user\_group
* Sat Apr 22 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b2.dev19:
  * Fix import in v2 pool types
  * Fix house\_keeping daemon to use Event.wait()
  * Remove duplicate oslo\_messaging config line
  * Loadbalancer v2 needs to accept tenant\_id on POST
  * Tests helper function \_send\_requests should catch socket.error
  * Fix get\_all method for v2 LB controller
  * Update Octavia v2 API for vip\_network\_id
  * Fix load balancer project\_id handling on POST
  * Fix quota lock on single\_create with auth enabled
  * Switch to use stable data\_utils
  * Switch to use exec\_command instead of mount/umount
  * Add network\_id to VIP to match neutron-lbaas
  * Recurse dictionary generation in model to\_dict()
  * gate\_hook: Stop writing local.conf directly
  * Set project\_id on sub-objects during single-create
  * create\_certificates.sh needs to be executable
  * Add option to choose an availability\_zone for amps
  * Remove config option "amp\_network"
  * Fix Octavia v1 API project\_id for POST
  * Switch to use test\_utils.call\_until\_true
  * Fixes misspelled amp\_ssh\_access\_allowed config
  * Remove dumplicated config option 'cert\_generator'
  * Adds user\_group option under haproxy\_amphora
  * Fix tenant\_id reference
  * Set access\_policy for messaging's dispatcher
  * oslo\_messaging\_rabbit settings are deprecated
  * Change bind\_host IP address
  * The amphora agent plug\_vip has an indention issue
  * Only set default DIB\_RELEASE for ubuntu
  * Remove unused method - get\_random\_string
  * Fix devstack plugin for KEYSTONE\_CATALOG\_BACKEND
  * Remove CONF.import\_group
  * Fix health\_sender test to use a list instead of tuple
  * Increase the verbosity of haproxy.rest\_api\_driver failures
  * Fix typos in amphora\_flows.py & octavia.conf
  * \_extract\_amp\_image\_id\_by\_tag should return last created image
  * Fix admin\_state\_up for loadbalancer and listener
  * Fix No sql\_connection parameter is established
  * Remove deprecated (and unused) 'sqlite\_db' config option
  * Add \_\_ne\_\_ built-in function
  * Subnet host routes support for plug\_network
  * Rewrite create\_load\_balancer flow
  * Corrected test\_dir path in TempestPlugin
  * Remove datetime\_to\_str
  * Revise pagination\_max\_limit description
  * Skip removing sec\_group if none
  * Use the from\_environ features of oslo\_context
  * Fix a typo and replace unused variable with '\_'
  * Add \_get\_resource func to get any type resource in neutron
  * Cleanup deleted load balancers in housekeeper's db\_cleanup
  * Add revert method in database\_tasks MapLoadbalancerToAmphora
  * Use transport\_url instead of oslo\_messaging\_rabbit
  * Use RABBIT\_USERID instead of 'guest'
  * Adds methods in version.py for proper oslo\_reports setup
  * Fix Mac OS X socket.AF\_INET6 code
  * Fix vrrp\_success\_count help string
  * Use devstack RABBIT\_HOST to point to rabbit, instead of localhost
  * Make sure ~/.ssh/known\_hosts exists before calling ssh-keygen -R
  * Added amphora\_id to listener\_statistics table to stop data loss
  * Update amp\_network to allow multiple networks
  * Defer updating role and vrrp\_priority for failover
  * Removes port\_detach code that was mistakenly added
  * Devstack: Use OVS\_BRIDGE when value is set
  * Make GIT\_REPO can be configured
  * Change render\_unsets default to False
  * Fix session\_persistence deletion bug
  * Use consistent type checking of project\_id in API
  * Fix default\_pool\_id type in l7policy API
  * Add pre\_test\_hook to run gate jobs
  * Use "--pub-key" instead of "--pub\_key"
  * Change HMAC compare to use constant\_time\_compare
  * Assign peer\_port on listener creation
  * Remove unused \`paramiko\`
  * project\_id should not be UUIDType in API validation
  * Improve test case test\_upload\_certificate\_md5
  * Fix hacking rule of assert\_equal\_or\_not\_none
  * Adding "region and endpoint\_type" parameters to barbican\_acl.py
  * Do not use \_\_builtin\_\_ in python3
  * Default api\_handler to queue\_producer
  * Fix event\_queue entry in setup.cfg from EventStreamer break
  * Add APP\_COOKIE session persistence type
  * Fix database\_tasks log formating
  * Make pool.lb\_algorithm field larger
  * Remove OpenSSL from cert\_parser
  * Assign load\_balancer in \_port\_to\_vip()
  * Test: make enforce\_type=True in CONF.set\_override
  * Make Consumer an oslo\_service
  * Fixes gate failure 'update\_stats' called 0 times
  * Expose project\_id in octavia api
  * Rename tenant\_id in the network models to project\_id
  * Rename tenant\_id to project\_id
  * Add missing unit tests for cw/tasks/network\_tasks
  * Fix api\_server agent test that broke due to a dep change
  * Fix a test order issue with oslo\_config fixture
  * Fixes interface\_file jinja misconfiguration
  * Add unit tests for cmd/house\_keeping
  * Use oslo\_config PortOpt type for port options
  * Use oslo\_config IPOpt support
  * Adds cert\_manager option to octavia.conf
  * Use assertTrue instead of assertEqual(True, \*\*\*)
  * Change amphora\_id to compute\_id in compute drivers
  * Add health\_manager config options
  * Correct status\_update\_threads configuration help
  * Default controller\_ip\_port\_list option to empty
  * Adds the NO\_MONITOR operational status for members
  * Increase connection\_max\_retries to be 300
  * Adding sni\_containers to Octavia API
  * Fix doctrings typo in delete\_member
  * Clean NovaAuth.\_nova\_client during test cleanup
  * test\_plug\_vip not testing properly in py34
  * Correct shebang in create\_certificates.sh
  * Updating cert\_parser for cert loading
  * Better parsing for HAProxy stats\_socket data
  * Adding vrrp\_port\_id and ha\_port\_id to amphora
  * Temporarily disable send\_hmac test as it fails intermittently in py34
  * Install etc/octavia/\* files
  * Fixed post\_network\_plug issues
  * Added update\_vip method to network driver
  * Update nova\_driver to use amp\_network
  * Removes include\_members from jinja\_cfg
  * Corrected some \_\_init\_\_() parameters
  * Added post\_vip\_plug method to the amphora driver
  * Added vrrp\_ip and ha\_ip to amphora models
  * Adding post\_network\_plug to the noop amphora driver
  * Renaming amphora.host\_id to amphora.compute\_id
* Fri Apr 21 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b2.dev17:
  * Removing dependency on eventlet and oslo.service
  * Introduce Octavia v2 API for Health Monitor
  * Remove singleton pattern from API controllers
* Thu Apr 20 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b2.dev12:
  * Adjust tox cover to check for 80%% coverage
  * Update keystone URL to be consistent
  * Fix some configuration type issues
* Thu Apr 20 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b2.dev6:
  * Fix doc generation for Python3
  * Fix dumb error message typo
  * Fix imports in v2 listener types
* Tue Apr 18 2017 cloud-devel@suse.de
- Update to version octavia-1.0.0.0b2.dev1:
  * Scenario base uses the wrong exception lib
  1.0.0.0b1
* Thu Apr 13 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev160:
  * Updated from global requirements
  * Fix house_keeping daemon to use Event.wait()
  * Remove duplicate oslo_messaging config line
* Wed Apr 12 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev156:
  * Loadbalancer v2 needs to accept tenant_id on POST
  * Add Apache License Content in index.rst
  * Explicitly list neutron api extensions for tests
  * Optimize the link address
  * Adds v2 load balancer API section
  * Failover logic doesn't handle anti-affinity
* Tue Apr 11 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev145:
  * Fixed Octavia tempest plugin
  * Introduce TESTING.rst for quick developer reference
* Sat Apr  8 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev141:
  * Updated from global requirements
* Fri Apr  7 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev140:
  * blueprint LBaaS Alternative Monitoring IP/Port
  * Support QoS policy apply on vip port
  * Updated from global requirements
* Thu Apr  6 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev135:
  * Align Octavia API to n-lbaasv2 for L7Rules
  * Align Octavia API to n-lbaasv2 for L7Policy
* Wed Apr  5 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev131:
  * Fix pool validation exception typo
* Tue Apr  4 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev129:
  * Introduce Octavia v2 API for Members
  * Updated from global requirements
  * Adds a new config for soft-anti-affinity
  * Tests helper function _send_requests should catch socket.error
  * Move API v1, v2 hooks to API Common
* Thu Mar 30 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev120:
  * Introduce Octavia v2 API for pools
  * Updated from global requirements
  * Fix some reST field lists in docstrings
  * change genconfig output-file path
  * Fix get_all method for v2 LB controller
  * DIB: drop some dependencies
  * Remove unused logging import
* Wed Mar 29 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev107:
  * Changing the service-type to load-balancer
* Tue Mar 28 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev106:
  * Octavia v2 API for listeners
* Sat Mar 25 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev105:
  * Use HostAddressOpt for opts that accept IP and hostnames
* Fri Mar 24 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev103:
  * Look for all qemu-img/kvm package names in rhel-based distros
  * Replace six.iteritems() with .items()
* Thu Mar 23 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev99:
  * Assorted trivial fixes for v2 loadbalancer tests
  * Fix v2 LB API return for null description and name
  * Change v2 API LB create return status code
* Wed Mar 22 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev94:
  * Remove local DIB elements dir
* Sat Mar 18 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev93:
  * DB migration to add ID column to HM
* Fri Mar 17 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev91:
  * Adds a new feature to limit the amphora build rate
  * Update Octavia v2 API for vip_network_id
  * Fix load balancer project_id handling on POST
  * Add v2 load balancer type and controllers
* Thu Mar 16 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev83:
  * fix py3x test bug so functional tests will pass
  * devstack: install qemu-kvm on RHEL-based distros
  * Updated from global requirements
  * Devstack plugin: API only mode
* Wed Mar 15 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev76:
  * Fix typo
* Tue Mar 14 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev75:
  * Updated from global requirements
  * Fix quota lock on single_create with auth enabled
* Sat Mar 11 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev71:
  * Update for new pep8 rules E402 and W503
  * Updated from global requirements
  * Adds v2 general API information section
* Fri Mar 10 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev66:
  * Fix cascade delete flow (pool quota requirements missing)
  * Allow to create vip in lb-mgmt-net
  * Look for diskimage-builder not dib-utils when building amps
  * Switch to use stable data_utils
  * Switch to use exec_command instead of mount/umount
  * Add network_id to VIP to match neutron-lbaas
  * Recurse dictionary generation in model to_dict()
  * Updated from global requirements
  * Adds devstack plugin support for all amp base OS
  * Updated from global requirements
  * tempest: Switch to local copy of tempset/scenario/manager.py
  * Use cryptsetup/LUKS for encrypted ramfs
  * Remove v1 base type
* Wed Mar  1 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev45:
  * Updated from global requirements
  * Don't use Tempest internal methods
* Tue Feb 28 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev42:
  * Work around devstack selecting incorrect image
  * gate_hook: Stop writing local.conf directly
  * Set project_id on sub-objects during single-create
* Mon Feb 20 2017 cloud-devel@suse.de
- Update to version octavia-0.10.1.dev38:
  * Remove unused logging import
  * Fix the service type for octavia
* Thu Feb 16 2017 nicolas.bock@suse.com
- Install diskimage-create script
- Update to version octavia-0.10.1.dev34:
  * create_certificates.sh needs to be executable
  * Add common api handlers for v1 and v2
  * Create api-ref base for Octavia
  * Update test-requirements hacking
  * Add option to choose an availability_zone for amps
  * Remove mention of deprecated verbose option
  * Updated from global requirements
  * Remove config option "amp_network"
  * Fix Octavia v1 API project_id for POST
  * Updated from global requirements
  * Switch to use test_utils.call_until_true
  * Allow a configuration option for random Amphora name
  * Fix the amphora failover flow docs diagram
  * Fix py3x gates and functional
  * Remove white space between print ()
  * Update reno for stable/ocata
  * Fix the PKG-INFO to 5 - Production/Stable
  * Fix "P2" note references in act/act specs
- 0.10.0
  * Fix unit tests for OSX
  * Improve the failover handling for spares-pool amps
  * Fixes misspelled amp_ssh_access_allowed config
  * Fix failover for unallocated amps (spares-pool)
  * Remove outdated kernel tuning for haproxy
  * Add placement services to devstack example files
  * Fix a typo in the release notes
  * Fix the amphora image support for RH Linux flavors
  * Add common base type for v1 and v2
  * Remove python3.4 from tox
  * Fix active/standby under python3
  * Updated from global requirements
  * Updated from global requirements
  * Fix the docs page title
  * Fix connection timeout spam in subunit logs
  * Cleanup noop network driver to fix py3x
  * Clarify that octavia-db-manage should be used
  * Archive the testrepository file before processing
  * Remove dumplicated config option 'cert_generator'
  * Archive the raw testrepository log
  * Remove an erroneous MarkHealthMonitorActiveInDB task
  * Updated from global requirements
  * Fix octavia multinode setup for flavor and image
  * Add quota support to Octavia
  * Updated from global requirements
  * Correct the paramters of l7 policy creation
  * Introduce Handlers for V2 API
  * Updated from global requirements
  * Introduce Types Directory
  * Update Python classifiers
  * Add check when plug vrrp port in LB creation
  * Adds user_group option under haproxy_amphora
  * Add support for policy.json
  * Updated from global requirements
  * Fix file mode
  * Fix tenant_id reference
  * Updated from global requirements
  * Correcting error message for CA Key validation failure
  * Fix multi-typo error in Octavia
  * Set access_policy for messaging's dispatcher
  * Adds diskimage-create scripts to pypi package
  * Fix a typo
  * Remove MANIFEST.in from repo
  * Fix typo in doc/source/api/octaviaapi.rst
  * Add context to unit tests
  * Remove OSC deprecation warnings
  * Do not use log hints for exceptions
  * Save neutron calls if plugin does not support dns-integration
  * Updated from global requirements
  * Fix missing NovaServerGroupDelete
  * Introduct Test Base classes for V2 API
  * Remove an erroneous MarkMemberActiveInDB task
  * Setup translation for octavia
  * Introduce API Decorators
* Thu Dec 29 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev133:
  * Updated from global requirements
* Wed Dec 21 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev132:
  * add CONTRIBUTING.rst
  * Fix typo
  * Updated from global requirements
  * oslo_messaging_rabbit settings are deprecated
  * Adding name to health monitor and member
  * Add build-essential package dependency to amphora-agent element
* Tue Dec 20 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev121:
  * Amphora-agent should log to a distinct location
* Sat Dec 17 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev119:
  * Change bind_host IP address
  * Fix some python3 string issues in amphora agent
* Fri Dec 16 2016 tbechtold@suse.com
- Update to version octavia-0.9.1.dev117:
  * Updated from global requirements
  * Fix the agent install to use pip -U
* Fri Dec 16 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev115:
  * The amphora agent plug_vip has an indention issue
  * Stop depending on tripleo-image-elements
* Thu Dec 15 2016 aplanas@suse.com
- Configuration cleanup
- Document new configuration handling
* Thu Dec 15 2016 aplanas@suse.com
- Create /etc/octavia/octavia.conf.d
* Thu Dec 15 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev113:
  * Add support for diskimage-builder tracing
* Wed Dec 14 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev111:
  * Add keystone authentication of token
* Tue Dec 13 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev109:
  * Use pip install rather than setup.py
* Sat Dec 10 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev108:
  * Create Octavia api V2 directory
  * Fix a unit test that was attempting real requests
* Thu Dec  8 2016 aplanas@suse.com
- systemd: remove Wants from services.
* Thu Dec  8 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev106:
  * Updated from global requirements
* Tue Dec  6 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev105:
  * Updated from global requirements
* Mon Dec  5 2016 johannes.grassler@suse.com
- Switched to systemd for service startup
  * Added service files for all services
  * Fixed tmpfilesdir creation
  * Removed init scripts
* Sat Dec  3 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev104:
  * Fix devstack plugin for KEYSTONE_CATALOG_BACKEND
* Thu Dec  1 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev102:
  * Only set default DIB_RELEASE for ubuntu
* Wed Nov 30 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev100:
  * Spec detailing capability gaps with n-lbaas API
  * Properly format IPv6 bind address strings
* Tue Nov 29 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev97:
  * Remove unused method - get_random_string
  * Show team and repo badges on README
  * Enable IPv6 load balancer networks
  * Remove CONF.import_group
* Thu Nov 24 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev90:
  * Run amphora agent with gunicorn
* Sat Nov 19 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev88:
  * Simplify cert-ramfs-ecrypt package dependencies
  * Adds distribution ID option to diskimage-create.sh
  * Backend Keystone authentication
* Thu Nov 17 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev83:
  * Adds support for systemd amphora images
  * Enable EPEL repository for CentOS amphorae
  * diskimage-create check for qemu-kvm-ev/qemu-img-ev for CentOS
  * Updated from global requirements
  * Modify variable's using method in Log Messages
  * Use test assertEqual instead of assert()
* Tue Nov 15 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev72:
  * Basic listener scenario test
* Fri Nov 11 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev70:
  * Updated from global requirements
* Tue Nov  8 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev69:
  * Updated from global requirements
* Sat Nov  5 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev68:
  * Remove last vestiges of oslo-incubator
* Wed Nov  2 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev67:
  * UDPStatusGetter socket bind fix for ipv6
* Fri Oct 28 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev65:
  * Updated from global requirements
* Thu Oct 27 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev64:
  * Fix health_sender test to use a list instead of tuple
  * Updated from global requirements
  * Add a new API to list loadbalancer statistics
  * Add class 'StatsMixin'
* Fri Oct 21 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev57:
  * C10k load testing environment script
* Wed Oct 19 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev56:
  * Increase the verbosity of haproxy.rest_api_driver failures
  * Update .coveragerc after the removal of openstack directory
  * Enable support for multinode in the gate hook
* Tue Oct 18 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev50:
  * Scenario: test with concurrent clients
* Sun Oct 16 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev48:
  * Update haproxy logging configuration
  * Fixes pregenerated certificates validity to 50y
* Sat Oct 15 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev44:
  * Updated from global requirements
  * Load system sysctl in amphora network namespace
  * Updated from global requirements
* Fri Oct 14 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev40:
  * Drop MANIFEST.in - it's not needed by pbr
  * Updated from global requirements
  * Add linuxbridge support to devstack plugin
* Thu Oct 13 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev35:
  * Scenario tests: improve test http server
* Wed Oct 12 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev33:
  * Update devstack plugin to use openstack client
  * Fix to run functional tests
  * Fix functional tests after HM change
  * Fixes unit test config override
  * Add MTU configuraion when plugging vip or network
  * Fix revert on 404 from amphora agent startup
  * Enable release notes translation
* Tue Oct 11 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev19:
  * Update listener stats
  * Amphora agent refactor to classes
* Sat Oct  8 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev17:
  * Updated from global requirements
  * Add support for PKCS7 bundles and encrypted keys
* Fri Oct  7 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev14:
  * Fix nova image-list which is unavailable
* Thu Oct  6 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev12:
  * Add defaults for health monitor object
* Wed Oct  5 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev10:
  * Switch HAProxy health check timeout to seconds
* Sat Oct  1 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev8:
  * Use get-pip.py from cache if it exists
  * Fix typo in active-active-distributor.rst
  * Remove pypi download shield from Readme
* Fri Sep 30 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev3:
  * Use a cached get-pip.py if it is availble
* Wed Sep 28 2016 cloud-devel@suse.de
- Update to version octavia-0.9.1.dev2:
  * Updated from global requirements
  * Update reno for stable/newton
  0.9.0
* Tue Sep 27 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev350:
  * Fix a typo in README.rst
  * Add a cookbook for basic load balancing
* Tue Sep 27 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev348:
  * Adding introduction and developer quick start docs
  * Updated from global requirements
  * Terminated HTTPS certs and keys in encrypted ramfs
  * Fix orphan port/security group on revert
  * Octavia: Basic LoadBalancer Scenario Test
* Mon Sep 26 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev338:
  * Adds tasks so that reverts set objects to ERROR
* Sun Sep 25 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev336:
  * Fix typos in amphora_flows.py & octavia.conf
  * Drop the log level for "neutron extension found"
* Fri Sep 23 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev332:
  * Fixes a test order issue with image tag owner
* Thu Sep 22 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev330:
  * Updated from global requirements
* Wed Sep 21 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev329:
  * Setup gate test scripts for Octavia
  * Add L7 user guides
* Tue Sep 20 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev325:
  * Fixes the revert methods with unhandled exceptions
* Sat Sep 17 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev323:
  * Option to restrict amp glance image owner
  * Fixes a revert failure in AllocateVIP task
* Fri Sep 16 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev320:
  * _extract_amp_image_id_by_tag should return last created image
  * Adding a unit test for graph create failure case
  * Set fullconn parameter in haproxy backends
  * Set haproxy global connection limit
  * Fix admin_state_up for loadbalancer and listener
  * Add tox 'specs' test to pep8 environment
* Mon Sep 12 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev309:
  * Fix failover
* Sat Sep 10 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev307:
  * Updated from global requirements
  * Stop using bandit-baseline
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev304:
  * Update tox 'docs' environment to test specs
  * Fix active-active specs tox test
  * Fix No sql_connection parameter is established
  * Update readme file
* Thu Sep  8 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev298:
  * Add __ne__ built-in function
* Wed Sep  7 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev296:
  * Remove deprecated (and unused) 'sqlite_db' config option
* Sun Sep  4 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev294:
  * Move bandit to pep8
* Fri Sep  2 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev293:
  * Subnet host routes support for plug_network
  * Updated from global requirements
  * Corrected test_dir path in TempestPlugin
* Tue Aug 30 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev288:
  * Rewrite create_load_balancer flow
* Fri Aug 26 2016 aplanas@suse.com
- Revert generate PID file for systemd (bsc#991985)
* Fri Aug 26 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev286:
  * Update config reference to use auto generate
  * Updated from global requirements
  * Octavia:  Implement Tempest Plugin
  * Deperecate apt-mirror element
  * Add spec for active-active
  * Add spec for adding statistics gathering API for loadbalancer
* Thu Aug 25 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev275:
  * Updated from global requirements
  * Fixes amphora error of multiple IP addresses
  * Use upper constraints for all jobs in tox.ini
* Wed Aug 24 2016 aplanas@suse.com
- Generate PID file for systemd (bsc#991985)
* Wed Aug 24 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev270:
  * Make pyroute2 a requirement of octavia
  * Condense amphora-agent-ubuntu in to amphora-agent
* Tue Aug 23 2016 cloud-devel@suse.de
- Update to version octavia-0.8.1.dev266:
  * Updated from global requirements
  * Fixes failover flow with namespace driver
  * Remove oslo.rootwrap from requirements.txt
  * Updated from global requirements
  * Updating network base utils for more functionality
  * DIB: relax check on pip executable
* Thu Aug 18 2016 tbechtold@suse.com
- Initial packaging of openstack-octavia (version 0.8.1.dev254)
